identifier <- 'HCL_CH_ISCO_19_PROF'
language <- 'fr'
level_from <- 1
level_to <- 4
annotations <- FALSE
my_filters <- hash::hash(
  'prop1'= list("string"),
  'prop2' = list("string", "string2")
)

parameters <- glue::glue("language={language}&levelFrom={level_from}&levelTo={level_to}&annotations={tolower(annotations)}&{stringify(my_filters)}")

print(parameters)

api <- api_class(
  api_type = "nomenclature_multiple_levels",
  id = identifier,
  parameters = parameters,
  export_format = "CSV"
)

res <- api$get_response()
names(res)

nb_col <- level_to - level_from + 1
group_columns <- names(res)[1:nb_col]
group_columns
group_columns[[1]]

res[[group_columns[[1]]]] = data.table::nafill(res[[group_columns[[1]]]], type="locf")
res[[group_columns[[1]]]]


# df[group_columns[1:]] = (
#  df.groupby([group_columns[0]])[group_columns[1:]]
# ).apply(lambda x: x.ffill())

group_columns[[1]] # group_columns[0]
group_columns[2:4] # df[group_columns[1:]]

res





